You are not logged in.

#1 2022-05-14 03:26:47

Zambieslar
Member
Registered: 2022-05-14
Posts: 3

Failed to install nvidia-utils

Unable to install nvidia-utils package in pacman, packages already exist in files system
I unintentionally switch from the proprietary driver from NVIDIA's website to the one provided by the repository.

resolving dependencies...
looking for conflicting packages...
warning: dependency cycle detected:
warning: eglexternalplatform will be installed before its nvidia-utils dependency

Packages (3) egl-wayland-2:1.1.9+r3+g582b2d3-1  eglexternalplatform-1.1-2  nvidia-utils-515.43.04-1

Total Installed Size:  452.16 MiB

:: Proceed with installation? [Y/n]
(3/3) checking keys in keyring                                                                                                                          [#############################################################################################] 100%
(3/3) checking package integrity                                                                                                                        [#############################################################################################] 100%
(3/3) loading package files                                                                                                                             [#############################################################################################] 100%
(3/3) checking for file conflicts                                                                                                                       [#############################################################################################] 100%
error: failed to commit transaction (conflicting files)
nvidia-utils: /usr/bin/nvidia-bug-report.sh exists in filesystem
nvidia-utils: /usr/bin/nvidia-cuda-mps-control exists in filesystem
nvidia-utils: /usr/bin/nvidia-cuda-mps-server exists in filesystem
nvidia-utils: /usr/bin/nvidia-debugdump exists in filesystem
nvidia-utils: /usr/bin/nvidia-modprobe exists in filesystem
nvidia-utils: /usr/bin/nvidia-ngx-updater exists in filesystem
nvidia-utils: /usr/bin/nvidia-persistenced exists in filesystem
nvidia-utils: /usr/bin/nvidia-powerd exists in filesystem
nvidia-utils: /usr/bin/nvidia-sleep.sh exists in filesystem
nvidia-utils: /usr/bin/nvidia-smi exists in filesystem
nvidia-utils: /usr/bin/nvidia-xconfig exists in filesystem
nvidia-utils: /usr/lib/libEGL_nvidia.so exists in filesystem
nvidia-utils: /usr/lib/libEGL_nvidia.so.0 exists in filesystem
nvidia-utils: /usr/lib/libGLESv1_CM_nvidia.so exists in filesystem
nvidia-utils: /usr/lib/libGLESv1_CM_nvidia.so.1 exists in filesystem
nvidia-utils: /usr/lib/libGLESv2_nvidia.so exists in filesystem
nvidia-utils: /usr/lib/libGLESv2_nvidia.so.2 exists in filesystem
nvidia-utils: /usr/lib/libGLX_nvidia.so exists in filesystem
nvidia-utils: /usr/lib/libGLX_nvidia.so.0 exists in filesystem
nvidia-utils: /usr/lib/libcuda.so exists in filesystem
nvidia-utils: /usr/lib/libcuda.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvcuvid.so exists in filesystem
nvidia-utils: /usr/lib/libnvcuvid.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-allocator.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-allocator.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-cfg.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-cfg.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-egl-gbm.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-egl-gbm.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-egl-gbm.so.1.1.0 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-eglcore.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-encode.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-encode.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-fbc.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-fbc.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-glcore.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-glsi.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-glvkspirv.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-ml.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-ml.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-ngx.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-ngx.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-opticalflow.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-opticalflow.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-ptxjitcompiler.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-ptxjitcompiler.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-rtcore.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-tls.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-vulkan-producer.so exists in filesystem
nvidia-utils: /usr/lib/libnvidia-vulkan-producer.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvoptix.so exists in filesystem
nvidia-utils: /usr/lib/libnvoptix.so.1 exists in filesystem
nvidia-utils: /usr/lib/systemd/system-sleep/nvidia exists in filesystem
nvidia-utils: /usr/lib/systemd/system/nvidia-hibernate.service exists in filesystem
nvidia-utils: /usr/lib/systemd/system/nvidia-powerd.service exists in filesystem
nvidia-utils: /usr/lib/systemd/system/nvidia-resume.service exists in filesystem
nvidia-utils: /usr/lib/systemd/system/nvidia-suspend.service exists in filesystem
nvidia-utils: /usr/lib/vdpau/libvdpau_nvidia.so exists in filesystem
nvidia-utils: /usr/lib/vdpau/libvdpau_nvidia.so.1 exists in filesystem
nvidia-utils: /usr/lib/xorg/modules/drivers/nvidia_drv.so exists in filesystem
nvidia-utils: /usr/share/egl/egl_external_platform.d/15_nvidia_gbm.json exists in filesystem
nvidia-utils: /usr/share/glvnd/egl_vendor.d/10_nvidia.json exists in filesystem
nvidia-utils: /usr/share/man/man1/nvidia-cuda-mps-control.1.gz exists in filesystem
nvidia-utils: /usr/share/man/man1/nvidia-modprobe.1.gz exists in filesystem
nvidia-utils: /usr/share/man/man1/nvidia-persistenced.1.gz exists in filesystem
nvidia-utils: /usr/share/man/man1/nvidia-smi.1.gz exists in filesystem
nvidia-utils: /usr/share/man/man1/nvidia-xconfig.1.gz exists in filesystem
Errors occurred, no packages were upgraded.

Can anyone help me fix this problem?

Last edited by Zambieslar (2022-05-14 03:29:36)

Offline

#2 2022-05-14 05:04:32

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 30,060
Website

Re: Failed to install nvidia-utils


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Offline

#3 2022-05-14 13:53:22

Zambieslar
Member
Registered: 2022-05-14
Posts: 3

Re: Failed to install nvidia-utils

Thank you for your help!

Offline

Board footer

Powered by FluxBB